"You do not have permission to update this add-on." should provide more informations

VERIFIED FIXED

Status

addons.mozilla.org Graveyard
Developer Pages
VERIFIED FIXED
9 years ago
2 years ago

People

(Reporter: Vincent (caméléon), Unassigned)

Tracking

Details

(Reporter)

Description

9 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.0.6) Gecko/2009011913 Firefox/3.0.6
Build Identifier: 

I try to upload the new version of the slideshow add-on but I alway see this strange message: "You do not have permission to update this add-on." without any explanation. What should I do??? I don't understand what is the problem with this add-on that work perfectly good.

Reproducible: Always

Steps to Reproduce:
1. Download the new version of the add-on available here: http://www.totic.org/develop/slideshow.xpi
2. Try to upload it on a addons.mozilla.org account

Actual Results:  
See this strange message and abort

Expected Results:  
If there is an error, the message should help the user to understand the problem
Please provide a link to the add-on you are trying to update on AMO and your AMO account name.
(Reporter)

Comment 2

9 years ago
As said above, the problematic Add-on is available here: http://www.totic.org/develop/slideshow.xpi
My AMO account name is "le cameleon"
I'm asking for a link to the add-on on AMO.  e.g. https://addons.mozilla.org/en-US/firefox/addon/3481
(Reporter)

Comment 4

9 years ago
OK, sorry...
It is the slideshow add-on, available here: https://addons.mozilla.org/en-US/thunderbird/addon/2307
Can you be more specific about what steps you are following to upload the new add-on?  Did you click "Use new tools" at the top of the developer control panel before uploading?
(Reporter)

Comment 6

9 years ago
I don't see any button call "Use new tools", so I follow the normal way to update an add-on ("Send new version" button).  What it suppose to do that button?

Note that I use the french interface, so maybe there is tiny differences with the English version?
Yes, the new tools are only available on the English interface.  They are on the last leg of their beta test and are being localized (bug 432084) and will soon be available to everyone.

I suspect if you switch to the English interface and use the new tools you won't have any problems.
(Reporter)

Comment 8

9 years ago
You are right, I know have this error message:

"Oops! There seems to be a problem with this file...
The add-on GUID used in this file (slideshow at totic.org) does not match the existing GUID for this add-on (slideshowski at totic.org).
Please correct this problem and upload your file again."

Which is exactly what I need to know to correct my add-on.

The problem is solve, thanks!
Status: UNCONFIRMED → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → FIXED
Status: RESOLVED → VERIFIED
(Assignee)

Updated

2 years ago
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.